Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ParameterInfo

    java.lang.Object
      jet.api.ParameterInfo

    public class ParameterInfo

extends java.lang.Object

Field Summary
`static int` | `BETWEEN` operator type
`static int` | `MAX` index of limit value
`static int` | `MIN` index of limit value
`static int` | `UNKNOWN` operator type

Constructor Summary
`ParameterInfo()` Constructor.
`ParameterInfo(java.lang.String name, java.lang.String value, java.lang.String[] values, java.lang.String prompt)` Constructor.
`ParameterInfo(java.lang.String name, java.lang.String value, java.lang.String[] values, java.lang.String[] bindValues, java.lang.String prompt)` Constructor.
`ParameterInfo(java.lang.String name, java.lang.String desc, java.lang.String prompt, java.lang.String type)` Constructor.
`ParameterInfo(java.lang.String name, java.lang.String desc, java.lang.String type, java.lang.String prompt, java.lang.String format, int operator, int index)` Constructor.

Method Summary
`void` | `clearDefaultValue()` Clear the parameter default values
`boolean` | `deleteDefaultValue(int index)` Deletes parameter default value
`boolean` | `deleteDefaultValue(java.lang.String value)` Deletes parameter default value
`boolean` | `deleteLimit(int index)` Deletes parameter limit value
`boolean` | `deleteLimit(java.lang.String value)` Deletes parameter limit value
`java.lang.String[]` | `getBindValues()` Gets the parameter bind values
`java.lang.String[]` | `getDefaultValues()` Gets parameter default values
`java.lang.String` | `getDescription()` Gets parameter description
`java.lang.String` | `getFormat()` Gets parameter user defined format
`int` | `getIndex()` Gets parameter default value index
`boolean` | `getIsBindColumn()` Check whether did the parameter bind to column
`java.lang.String[]` | `getLimit()` Gets parameter limited values
`java.lang.String` | `getLimit(int index)` Gets parameter limit value
`java.lang.String` | `getName()` Gets parameter Name
`int` | `getOperator()` Gets parameter limitation operator
`java.lang.String` | `getPrompt()` Gets parameter prompt
`java.lang.String` | `getType()` Gets parameter data type
`java.lang.String` | `getValue()` Gets parameter value
`int` | `getValueLength()` Gets the number of parameter default values
`void` | `setBindValues(java.lang.String[] bindValues)` Sets the parameter bind values
`void` | `setDefaultValue(java.lang.String value)` sets parameter default value
`void` | `setDescription(java.lang.String desc)` Sets parameter description
`void` | `setFormat(java.lang.String format)` Sets parameter Name
`void` | `setIndex(int index)` Sets parameter default value index
`void` | `setIsBindColumn(boolean isBindColumn)` Sets parameter bind to column
`void` | `setLimit(java.lang.String value, int index)` Sets parameter limited value
`void` | `setName(java.lang.String name)` Sets parameter Name
`void` | `setOperator(int operator)` Sets parameter limitation operator
`void` | `setPrompt(java.lang.String prompt)` Sets parameter prompt
`void` | `setType(java.lang.String type)` Sets parameter data type
`void` | `setValue(java.lang.String value)` Sets parameter value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN

    public static final int MIN

  index of limit value

  See Also:
    Constant Field Values

### MAX

    public static final int MAX

  index of limit value

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  operator type

### BETWEEN

    public static final int BETWEEN

  operator type

Constructor Detail

### ParameterInfo

    public ParameterInfo()

  Constructor. Creates a parameter infomation object.

### ParameterInfo

    public ParameterInfo(java.lang.String name,
                         java.lang.String desc,
                         java.lang.String prompt,
                         java.lang.String type)

  Constructor. Creates a parameter infomation object..

  Parameters:
    `name` - the parameter name
    `desc` - the parameter description
    `prompt` - the parameter prompt text
    `type` - the data type of parameter

### ParameterInfo

    public ParameterInfo(java.lang.String name,
                         java.lang.String value,
                         java.lang.String[] values,
                         java.lang.String prompt)

  Constructor. Creates a parameter infomation object..

  Parameters:
    `name` - the parameter name
    `value` - the parameter value
    `prompt` - the parameter prompt text
    `values` - the parameter default values

### ParameterInfo

    public ParameterInfo(java.lang.String name,
                         java.lang.String value,
                         java.lang.String[] values,
                         java.lang.String[] bindValues,
                         java.lang.String prompt)

  Constructor. Creates a parameter infomation object..

  Parameters:
    `name` - the parameter name
    `value` - the parameter value
    `prompt` - the parameter prompt text
    `values` - the parameter default values
    `bindValues` - the parameter bind values

### ParameterInfo

    public ParameterInfo(java.lang.String name,
                         java.lang.String desc,
                         java.lang.String type,
                         java.lang.String prompt,
                         java.lang.String format,
                         int operator,
                         int index)

  Constructor. Creates a parameter infomation object..

  Parameters:
    `name` - the parameter name
    `desc` - the parameter description
    `prompt` - the parameter prompt text
    `type` - the data type of parameter
    `format` - the user defined format of parameter
    `operator` - the operator of limitation value
    `index` - the index of parameter defaultValue

Method Detail

### getName

    public java.lang.String getName()

  Gets parameter Name

  Returns:
    parameter name

### setName

    public void setName(java.lang.String name)

  Sets parameter Name

  Parameters:
    `name` - parameter name

### getDescription

    public java.lang.String getDescription()

  Gets parameter description

  Returns:
    parameter description text

### setDescription

    public void setDescription(java.lang.String desc)

  Sets parameter description

  Parameters:
    `desc` - parameter description

### getPrompt

    public java.lang.String getPrompt()

  Gets parameter prompt

  Returns:
    parameter prompt text

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets parameter prompt

### getType

    public java.lang.String getType()

  Gets parameter data type

  Returns:
    parameter type text

### setType

    public void setType(java.lang.String type)

  Sets parameter data type

### getDefaultValues

    public java.lang.String[] getDefaultValues()

  Gets parameter default values

  Returns:
    parameter default values array

### setDefaultValue

    public void setDefaultValue(java.lang.String value)

  sets parameter default value

  Parameters:
    `value` - parameter default value

### deleteDefaultValue

    public boolean deleteDefaultValue(java.lang.String value)

  Deletes parameter default value

  Parameters:
    `value` - deleted value

### deleteDefaultValue

    public boolean deleteDefaultValue(int index)

  Deletes parameter default value

  Parameters:
    `index` - of value to be deleted

### getLimit

    public java.lang.String[] getLimit()

  Gets parameter limited values

  Returns:
    parameter limited values array

### getLimit

    public java.lang.String getLimit(int index)

  Gets parameter limit value

  Parameters:
    `index` - index of limited values
  Returns:
    parameter name

### setLimit

    public void setLimit(java.lang.String value,
                         int index)

  Sets parameter limited value

  Parameters:
    `value` - limit value
    `index` - index of limited values

### deleteLimit

    public boolean deleteLimit(java.lang.String value)

  Deletes parameter limit value

  Parameters:
    `value` - limit value to deleted
  Returns:
    true if delete value successfully

### deleteLimit

    public boolean deleteLimit(int index)

  Deletes parameter limit value

  Parameters:
    `index` - index of limit value to deleted
  Returns:
    true if delete value successfully

### getValue

    public java.lang.String getValue()

  Gets parameter value

  Returns:
    value string of parameter

### setValue

    public void setValue(java.lang.String value)

  Sets parameter value

  Parameters:
    `value` - string value of parameter

### getFormat

    public java.lang.String getFormat()

  Gets parameter user defined format

  Returns:
    parameter format

### setFormat

    public void setFormat(java.lang.String format)

  Sets parameter Name

  Parameters:
    `format` - user defined format

### getIndex

    public int getIndex()

  Gets parameter default value index

  Returns:
    default value index

### setIndex

    public void setIndex(int index)

  Sets parameter default value index

  Parameters:
    `index` - default value index

### getOperator

    public int getOperator()

  Gets parameter limitation operator

  Returns:
    operator type

### setOperator

    public void setOperator(int operator)

  Sets parameter limitation operator

  Parameters:
    `operator` - type

### getValueLength

    public int getValueLength()

  Gets the number of parameter default values

  Returns:
    numbers of values

### clearDefaultValue

    public void clearDefaultValue()

  Clear the parameter default values

### getBindValues

    public java.lang.String[] getBindValues()

  Gets the parameter bind values

  Returns:
    parameter bind values

### setBindValues

    public void setBindValues(java.lang.String[] bindValues)

  Sets the parameter bind values

  Parameters:
    `bindValues` - parameter bind values

### getIsBindColumn

    public boolean getIsBindColumn()

  Check whether did the parameter bind to column

  Returns:
    true if parameter bind a column

### setIsBindColumn

    public void setIsBindColumn(boolean isBindColumn)

  Sets parameter bind to column

  Parameters:
    `isBindColumn` - set true if parameter bind to column

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD